Bug 702864 - tsocks(8) man page: replace TSOCKS_CONFFILE with TSOCKS_CONF_FILE
tsocks(8) man page: replace TSOCKS_CONFFILE with TSOCKS_CONF_FILE
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tsocks (Show other bugs)
14
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jean-Francois Saucier
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-07 15:41 EDT by Cristian Ciupitu
Modified: 2011-05-24 23:05 EDT (History)
1 user (show)

See Also:
Fixed In Version: tsocks-1.8-0.8.beta5.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 00:30:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Cristian Ciupitu 2011-05-07 15:41:25 EDT
Description of problem:
Quoting from the man page for tsocks(8):

       TSOCKS_CONFFILE
              This  environment variable overrides the default location of the
              tsocks configuration file.

Though, I can not use it.

Version-Release number of selected component (if applicable):
tsocks-1.8-0.5.beta5.fc13.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Create $HOME/.tsocks.conf
2. export TSOCKS_CONFFILE=$HOME/.tsocks.conf
3. tsocks koji build --scratch dist-6E-epel SRPMS/satchmo-0.9.1-1.20110418hg3126f1733ad4.fc14.src.rpm 
  
Actual results:
22:11:37 libtsocks(20667): Could not open socks configuration file (/etc/tsocks.conf), assuming all networks local

Expected results:
$HOME/.tsocks.conf should be used

Additional info:
[ciupicri@hermes rpmbuild]$ cat $TSOCKS_CONFFILE 
server = localhost
port = 9080

The man page says that the environment variable won't be used if tsocks is compiled with --disable-envconf, but according to the RPM SPEC this doesn't seem the case.
Comment 1 Michael Schwendt 2011-05-07 15:53:55 EDT
Brief look at the source code tells this is a typo in the manual. Try $TSOCKS_CONF_FILE instead.
Comment 2 Cristian Ciupitu 2011-05-07 16:22:42 EDT
Yes that did the trick. Thank you!
Comment 3 Fedora Update System 2011-05-13 10:54:34 EDT
tsocks-1.8-0.8.beta5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/tsocks-1.8-0.8.beta5.fc15
Comment 4 Fedora Update System 2011-05-13 11:15:00 EDT
tsocks-1.8-0.8.beta5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/tsocks-1.8-0.8.beta5.fc14
Comment 5 Fedora Update System 2011-05-13 11:30:16 EDT
tsocks-1.8-0.8.beta5.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/tsocks-1.8-0.8.beta5.fc13
Comment 6 Fedora Update System 2011-05-13 19:01:31 EDT
Package tsocks-1.8-0.8.beta5.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tsocks-1.8-0.8.beta5.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/tsocks-1.8-0.8.beta5.fc14
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2011-05-19 00:30:17 EDT
tsocks-1.8-0.8.beta5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2011-05-24 22:33:52 EDT
tsocks-1.8-0.8.beta5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2011-05-24 23:05:22 EDT
tsocks-1.8-0.8.beta5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.